
TYPO3.TYPO3CR - Bug # 3485

Status: Resolved Priority: Should have
Author: Robert Lemke Category: FLOW3 Persistence
Created: 2009-05-27 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Subject: Non-persistable properties of an entity which are not marked as transient cause a fatal error
Description

This entity ...

/**
 * @entity
 * @scope prototype
 */
class Release {

    /**
     * @var string
     */
    protected $versionNumber;

    /**
     * @inject
     * @var \F3\FLOW3\Object\FactoryInterface
     */
    protected $objectFactory;

... causes a fatal error during persisting time:

Fatal error: Call to undefined method F3\FLOW3\Object\Factory::FLOW3_AOP_Proxy_getProxyTargetClassName() in
/Users/Shared/Sites/dev/flow3/dist/Packages/Global/TYPO3CR/Classes/FLOW3/Persistence/Backend.php on line 359

because the Object Factory is not marked as @transient

Associated revisions
Revision d4b8d0cf - 2009-06-05 13:14 - Karsten Dambekalns

[FIX] TYPO3CR (FLOW3 Persistence): non-persistable properties of an entity which are not marked as transient no longer cause a fatal error but are
skipped, fixes #3485

History
#1 - 2009-06-04 14:53 - Robert Lemke
- Priority changed from Must have to Should have
- Target version changed from 283 to 1.0 alpha 2

#2 - 2009-06-05 12:44 - Karsten Dambekalns
- Status changed from New to Accepted
#3 - 2009-06-05 13:02 - Karsten Dambekalns
- Project changed from TYPO3.Flow to TYPO3.TYPO3CR
- Category deleted (Persistence)
- Target version deleted (1.0 alpha 2)

#4 - 2009-06-05 13:02 - Karsten Dambekalns
- Category set to FLOW3 Persistence
- Target version set to 197

#5 - 2009-06-05 14:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2572.

#6 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)
